#ifndef __TVIA_CAPTURE_H
#define __TVIA_CAPTURE_H

#define NONINTERLACED 0
#define INTERLACED    1  

void Tvia_SelectCaptureIndex(WORD_ wIndex);
WORD_ Tvia_GetCaptureIndex();
void Tvia_InitCapture(WORD_ wCCIR656);
void Tvia_SetCapSrcWindow(WORD_ left, WORD_ right, WORD_ top, WORD_ bottom);
void  Tvia_SetCapDstAddr(DWORD_ dwMemAddr, WORD_ wX, WORD_ wY,
    WORD_ wPitchWidth);
void Tvia_SetCaptureScale(WORD_ wSrcXExt, WORD_ wDstXExt, WORD_ wSrcYExt,
    WORD_ wDstYExt, BYTE_ bInterlaced);
void Tvia_CaptureOn(void);
void Tvia_CaptureOff(void);
void Tvia_SetCapSafeGuardAddr(DWORD_ dwOffAddr);
void Tvia_CaptureCleanUp(void);
void Tvia_EnableDoubleBuffer(BYTE_ bEnable);
void Tvia_SetBackBuffer_addr(DWORD_ dwOffAddr);           
void Tvia_InvertFieldPolarity(BYTE_ bInvert);

#endif
