#!/bin/sh
source /etc/conf.d/vdr
#set -x

# RGB_DARKNESS kann von 0x00 (hell) bis 0x03(dunkel) gesetzt werden
RGB_DARKNESS="0x00"

[ "$(pidof mplayer)" != "" ] && killall -9 mplayer

for i in $(seq 1 10) ; do
   if [ -e /dev/i2c-0 ] ; then
      break
   fi
   echo " Waiting for /dev/i2c-0"
   sleep 1
done
FN="0x00"
#tdk5002cctl -s $1
if [ "$1" = "DVB" ]; then
   amixer -q set Line 90% unmute
   amixer -q set PCM mute
   EM84=$(echo " $PLUGINS " | grep " em84xx ")
   if [ "$EM84" != "" ] ; then
      AUX_OUT="0x06"
   else
      AUX_OUT="0x07"
   fi
   if [ "$GUI_LOOP_OUTPUT" = "1" ] ; then
      TV_OUT="0x01"
      FN="0x03"
   else
      if [ "$VIDEO_OUT" = "SVIDEO" ] ; then
         TV_OUT="0x02"
      else
         TV_OUT="0x00"
      fi
   fi
   if [ "$ACTIVY_BRIGHT_DVB" != "" ] ; then
      RGB_DARKNESS="0x0$((3-$ACTIVY_BRIGHT_DVB))"
   fi
   if [ "$ACTIVY_OVERLAY" != "Aus" ] ; then
      /_config/bin/activy_overlay.sh 1 &
   fi
else
   amixer -q set Line mute
   amixer -q set PCM 90% unmute
   if [ "$GUI_SWITCH_OUTPUT" = "1" ] ; then
      AUX_OUT="0x01"
      TV_OUT="0x00"
   else
      if [ "$VIDEO_OUT" != "RGB" ] ; then
         TV_OUT="0x02"
      else
         TV_OUT="0x00"
      fi
      AUX_OUT="0x07"
   fi
   if [ "$ACTIVY_BRIGHT_TVOUT" != "" ] ; then
      RGB_DARKNESS="0x0$((3-$ACTIVY_BRIGHT_TVOUT))"
   fi
   if [ "$ACTIVY_OVERLAY" != "Aus" ] ; then
      /_config/bin/activy_overlay.sh 0 &
   fi
fi
if [ "$ACTIVY_LINEOUT" = "1" ] ; then
   LO="0x01"
else
   LO="0x00"
fi
logger -s "tdk:  $TV_OUT $AUX_OUT $FN $RGB_DARKNESS $LO"
tdk5002cctl -i 0 0x00 0x00 0x00 $TV_OUT $AUX_OUT 0x00 0x00 0x00 $FN $RGB_DARKNESS 0x00 0x01 0x01 0x00 0x00 0x00 0x00 0x00 0x00 $LO
