#ifndef __TVIA_SYNCLOCK_H
#define __TVIA_SYNCLOCK_H

#define NTSC640x480 0
#define NTSC720x480 1
#define NTSC640x440 2

#define PAL640x480  0
#define PAL720x540  1
#define PAL768x576  2
#define PAL720x576  3

void Tvia_DoSyncLock(WORD_ wCaptureIndex, WORD_ wTVStandard, WORD_ wResolution,
    BYTE_ bVideoFormat);
void Tvia_CleanupSyncLock(void);
void Tvia_SetTVColor(void);   
void Tvia_ChangeToVideoClk(WORD_ wCaptureIndex, WORD_ wTVStandard, 
    BYTE_ bVideoFormat, BYTE_ bSet, WORD_ wResolution);
WORD_ Tvia_GetTVMode(void);
void Tvia_SetVCRMode(WORD_ bVCRMode);                                                                                                                        

void Tvia_SetSyncLockGM(WORD_ wCaptureIndex, WORD_ wTVStandard, 
    WORD_ wResolution, BYTE_ bVideoFormat);
void Tvia_CleanupSyncLockGM(void);
void Tvia_OutputSyncLockVideo(WORD_ bOutput, WORD_ wTVStandard, 
    WORD_ wResolution, BYTE_ bVideoFormat);

#endif
